net.minecraft.world.chunk.storage

## Class RegionFile

- java.lang.Object
- - net.minecraft.world.chunk.storage.RegionFile

-     public class RegionFile
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionFile(File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` close this RegionFile and prevent further writes
    `DataInputStream` | `getChunkDataInputStream(int par1, int par2)` args: x, y - get uncompressed chunk stream from the region file
    `DataOutputStream` | `getChunkDataOutputStream(int par1, int par2)` args: x, z - get an output stream used to write chunk data, data is on disk when the returned stream is closed
    `boolean` | `isChunkSaved(int par1, int par2)` args: x, z, - true if chunk has been saved / converted

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionFile

          public RegionFile(File par1File)

  - ### Method Detail

    - #### getChunkDataInputStream

          public DataInputStream getChunkDataInputStream(int par1,
                                                int par2)

      args: x, y - get uncompressed chunk stream from the region file

    - #### getChunkDataOutputStream

          public DataOutputStream getChunkDataOutputStream(int par1,
                                                  int par2)

      args: x, z - get an output stream used to write chunk data, data is on disk when the returned stream is closed

    - #### isChunkSaved

          public boolean isChunkSaved(int par1,
                             int par2)

      args: x, z, - true if chunk has been saved / converted

    - #### close

          public void close()
                     throws IOException

      close this RegionFile and prevent further writes
      Throws:
        `IOException`